%define name    civil
%define Name    Civil
%define version 0.83
%define release 4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Civil is a game that simulates battles in the American Civil War
License:	GPL
Group:		Games/Strategy
Source0:	http://prdownloads.sourceforge.net/civil/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
URL:		http://civil.sourceforge.net
Requires:	SDL >= 1.2
Requires:	python >= 2.1
Requires:	pygame >= 1.5.3
Requires:	%{name}-graphics = %{version}
Requires:	%{name}-sounds = %{version}
Buildrequires:	python python-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Civil is a game that simulates battles in the American Civil War. It is 
playable by two players over a network. Civil aims to be able to recreate
battles in great detail.

%package graphics
Summary:	Civil graphics
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description graphics
Graphics for Civil, a simulation of the American Civil War.

%package sounds
Summary:	Civil sounds
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description sounds
Sounds for Civil, a simulation of the American Civil War.

%package scenarios
Summary:	Civil sample scenarios
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description scenarios
Some example scenarios for Civil, a simulation of the American Civil
War.

%package editor
Summary:	Civil scenario editor
Group:		Games/Strategy
Requires:	%{name} = %{version}
Requires:	python-PQueue

%description editor
Scenario editor for civil, a simulation of the American Civil War.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
# fix perms
for file in AUTHORS BUGS ChangeLog INSTALL LICENSE README TODO; do
	chmod 644 $file; 
done
# fix python version
#perl -pi -e 's/python2.2/python%pyver/' src/map/los/ccivil.c
# clean-up build files included in tarball
rm -rf src/map/los/build

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{name}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# help
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/doc/help
install -m 644 doc/help/*.xml $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/doc/help

# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	section="More Applications/Games/Strategy"\\
	icon="%{name}.png"\\
	title="%{Name}"\\
	longtitle="%{summary}"
EOF
ln -s %{_libdir}/python%{pyver}/site-packages/ccivil.so $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}/src/map/los/

chmod ogu+x $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}/src/civil-server.py

# no longer works, miss some xml nodes
rm -f $RPM_BUILD_ROOT/%{_gamesdatadir}/%{name}/scenarios/chakie_test.civil

%clean
rm -rf $RPM_BUILD_ROOT 

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog INSTALL LICENSE README TODO
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-ai
%{_gamesbindir}/%{name}-lounge
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/src
%{_gamesdatadir}/%{name}/doc
%{_libdir}/python%{pyver}/site-packages/*
%{_mandir}/man6/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applnk/Games/TacticStrategy/*.desktop

%files graphics
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/fonts
%{_gamesdatadir}/%{name}/gfx

%files sounds
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/sound

%files scenarios
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/scenarios

%files editor
%defattr(-,root,root)
%{_gamesbindir}/%{name}-editor

%changelog
* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.83-4mdk
- Rebuild for new python

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.83-3mdk
- Buildrequires

* Tue Sep 28 2004 Michael Scherer <misc@mandrake.org> 0.83-2mdk 
- fix #11740, and other bugs

* Thu Aug 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.83-1mdk 
- new version

* Fri Jul 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.82-5mdk 
- rpmbuildupdate aware
- fixed menu category

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.82-4mdk
- buildrequires (slbd)

* Sat Aug 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.82-3mdk
- rebuild for latest python
- this is not a noarch package, they are python extension inside

* Mon Jun 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.82-2mdk
- fix problem with help files (from David Coe <david.coe@dsl.pipex.com>)

* Wed Jun 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.82-1mdk
- 0.82
- quiet setup
- rm -rf $RPM_BUILD_ROOT in the correct stage

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.81-2mdk
- rebuild

* Mon Sep 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.81-1mdk  
- 0.8.1
- splitted package to takes cares of poor guys with low bandwidth
- fixed missing doc files

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.80-3mdk  
- require pygame >= 1.5.3 
- menu entry

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.80-2mdk  
- scenario included in main package
- included missing fonts
- requires python-PQueue

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.80-1mdk
- first mdk release

